Qihoo360/Quicksql 软件分析报告

基础信息

项目名称:Qihoo360/Quicksql

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1744675071692677120/1765181027815178240

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
pgjdbc 存在SQL注入漏洞 SQL注入 MPS-1wko-hvgp CVE-2024-1597 严重
jetty URL(../) 目录遍历漏洞 路径遍历 MPS-2006-2577 CVE-2006-2758 中危
Apache Commons HttpClient Amazon FPS 输入验证错误漏洞 证书验证不恰当 MPS-2012-4618 CVE-2012-5783 中危
Apache HttpClient 中间人攻击漏洞 输入验证不恰当 MPS-2014-4288 CVE-2012-6153 中危
Oracle MySQL Connectors组件SQL注入漏洞 SQL注入 MPS-2015-2026 CVE-2015-2575 中危
Apache Groovy 代码注入漏洞 注入 MPS-2015-3848 CVE-2015-3253 严重
Apache Hive authorization框架安全漏洞 身份验证不当 MPS-2016-0636 CVE-2015-7521 高危
Google protobuf 缓冲区错误漏洞 越界写入 MPS-2017-10841 CVE-2015-5237 高危
Apache Zookeeper 安全漏洞 拒绝服务 MPS-2017-11297 CVE-2017-5637 高危
Netty和Play Framework 输入验证错误漏洞 未授权敏感信息泄露 MPS-2017-11682 CVE-2015-2156 高危
Oracle MySQL Connectors 访问限制绕过漏洞 访问控制不当 MPS-2017-4684 CVE-2017-3523 高危
Oracle MySQL Connectors 安全漏洞 访问控制不当 MPS-2017-4744 CVE-2017-3586 中危
Oracle MySQL Connectors 安全漏洞 访问控制不当 MPS-2017-4746 CVE-2017-3589 低危
Apache Hive 安全漏洞 证书验证不恰当 MPS-2017-5977 CVE-2016-3083 高危
Jetty 信息泄露漏洞 通过差异性导致的信息暴露 MPS-2017-6690 CVE-2017-9735 高危
FasterXML Jackson-databind 反序列化漏洞(dbcp2 gadget绕过) 反序列化 MPS-2018-0362 CVE-2017-17485 严重
FasterXML jackson-databind 反序列化漏洞(Hibernate/iBatis gadget绕过) 反序列化 MPS-2018-0934 CVE-2018-5968 高危
Apache Commons Compress 存在拒绝服务漏洞 不可达退出条件的循环(无限循环) MPS-2018-11233 CVE-2018-11771 中危
Oracle MySQL Connectors 访问控制错误漏洞 使用候选路径或通道进行的认证绕过 MPS-2018-13771 CVE-2018-3258 高危
FasterXML Jackson-databind 反序列化漏洞(JdbcRowSetImpl gadget绕过) 反序列化 MPS-2018-1438 CVE-2017-15095 严重
FasterXML Jackson-databind反序列化漏洞 反序列化 MPS-2018-1439 CVE-2017-7525 严重
Apache Hive HiveServer2 访问控制不恰当漏洞 访问控制不当 MPS-2018-14541 CVE-2018-11777 高危
Apache Hive 授权机制缺失漏洞 授权检查缺失 MPS-2018-14542 CVE-2018-1314 中危
Apache Hadoop 路径遍历漏洞 路径遍历 MPS-2018-14698 CVE-2018-8009 高危
FasterXML jackson-databind 反序列化漏洞(c3p0 gadget绕过) 反序列化 MPS-2018-2477 CVE-2018-7489 严重
Apache Hive JDBC驱动程序SQL注入漏洞 SQL注入 MPS-2018-4306 CVE-2018-1282 严重
Apache Hive 任意文件读取漏洞 未授权敏感信息泄露 MPS-2018-4307 CVE-2018-1284 低危
Google Guava 不可信数据的反序列化漏洞 不加限制或调节的资源分配 MPS-2018-5515 CVE-2018-10237 中危
Apache Derby 权限许可和访问控制问题漏洞 访问控制不当 MPS-2018-5754 CVE-2018-1313 中危
Apache Zookeeper 访问控制错误漏洞 授权检查缺失 MPS-2018-6313 CVE-2018-8012 高危
Eclipse Jetty 缓存中毒漏洞 HTTP请求走私 MPS-2018-8346 CVE-2017-7656 高危
Eclipse Jetty HTTP请求走私 MPS-2018-8347 CVE-2017-7657 严重
Eclipse Jetty HTTP请求走私 MPS-2018-8415 CVE-2017-7658 严重
FasterXML jackson-databind反序列化漏洞(slf4j-ext gadget绕过) 反序列化 MPS-2019-0018 CVE-2018-14718 严重
FasterXML jackson-databind反序列化漏洞(blaze-ds-opt gadget绕过) 反序列化 MPS-2019-0019 CVE-2018-14719 严重
FasterXML jackson-databind XXE漏洞(DRSHelper gadget绕过) XXE MPS-2019-0020 CVE-2018-14720 严重
FasterXML Jackson-databind服务器端请求伪造漏洞(axis2-jaxws gadget绕过) SSRF MPS-2019-0021 CVE-2018-14721 严重
FasterXML Jackson-databind代码问题漏洞(axis2-transport-jms gadget绕过) 反序列化 MPS-2019-0023 CVE-2018-19360 严重
FasterXML Jackson-databind代码问题漏洞(openjpa gadget绕过) 反序列化 MPS-2019-0024 CVE-2018-19361 严重
FasterXML Jackson-databind代码问题漏洞(jboss-common-core gadget绕过) 反序列化 MPS-2019-0025 CVE-2018-19362 严重
Apache Thrift 证书验证不恰当 MPS-2019-0104 CVE-2018-1320 高危
Apache Commons Beanutils 存在不可信数据的反序列化漏洞 反序列化 MPS-2019-10233 CVE-2019-10086 高危
FasterXML jackson-databind 反序列化漏洞(HikariCP gadget绕过) 反序列化 MPS-2019-11529 CVE-2019-14540 严重
FasterXML jackson-databind 反序列化漏洞(HikariCP gadget绕过) 反序列化 MPS-2019-11533 CVE-2019-16335 严重
Netty 存在 HTTP 请求走私漏洞 HTTP请求走私 MPS-2019-12064 CVE-2019-16869 高危
Red Hat JBoss Enterprise Application Platform 代码问题漏洞 反序列化 MPS-2019-12470 CVE-2019-10202 严重
FasterXML jackson-databind 反序列化漏洞(commons-dbcp gadget绕过) 反序列化 MPS-2019-12479 CVE-2019-16942 严重
FasterXML jackson-databind 反序列化漏洞(p6spy gadget绕过) 反序列化 MPS-2019-12480 CVE-2019-16943 严重
FasterXML jackson-databind 反序列化漏洞(ehcache gadget绕过) 反序列化 MPS-2019-12676 CVE-2019-17267 严重
FasterXML jackson-databind 反序列化漏洞(apache-log4j-extras gadget绕过) 反序列化 MPS-2019-13103 CVE-2019-17531 严重
Apache Thrift 不可达退出条件的循环(无限循环) MPS-2019-13876 CVE-2019-0205 高危
Elasticsearch 存在敏感信息泄露漏洞 未授权敏感信息泄露 MPS-2019-13902 CVE-2019-7619 中危
jackson-mapper-asl XXE MPS-2019-15048 CVE-2019-10172 高危
Apache Log4j SocketServer反序列化漏洞 反序列化 MPS-2019-17271 CVE-2019-17571 严重
FasterXML Jackson-databind反序列化漏洞(Jodd-db gadget绕过) 反序列化 MPS-2019-2619 CVE-2018-12022 高危
FasterXML Jackson-databind反序列化漏洞(Oracle JDBC driver gadget绕过) 反序列化 MPS-2019-2620 CVE-2018-12023 高危
Eclipse Jetty 跨站脚本漏洞 XSS MPS-2019-4268 CVE-2019-10241 中危
Eclipse Jetty 信息泄露漏洞 未授权敏感信息泄露 MPS-2019-4270 CVE-2019-10247 中危
Oracle MySQL Connectors 输入验证错误漏洞 使用不兼容类型访问资源(类型混淆) MPS-2019-4430 CVE-2019-2692 中危
FasterXML jackson-databind 反序列化漏洞(mysql gadget绕过) 反序列化 MPS-2019-5442 CVE-2019-12086 高危
Apache Zookeeper 授权问题漏洞 授权检查缺失 MPS-2019-5668 CVE-2019-0201 中危
FasterXML jackson-databind 反序列化漏洞(jdom gadget绕过) 反序列化 MPS-2019-6867 CVE-2019-12814 中危
FasterXML jackson-databind 反序列化漏洞(logback-classic gadget绕过) 反序列化 MPS-2019-7047 CVE-2019-12384 中危
FasterXML jackson-databind 反序列化漏洞(iBatis gadget绕过) 反序列化 MPS-2019-7711 CVE-2018-11307 严重
FasterXML jackson-databind 反序列化漏洞(ehcache gadget绕过) 动态确定对象属性修改的控制不恰当 MPS-2019-8717 CVE-2019-14379 严重
FasterXML jackson-databind 信息泄露漏洞(logback gadget绕过) 反序列化 MPS-2019-8770 CVE-2019-14439 高危
Elasticsearch 存在竞争条件漏洞 竞争条件 MPS-2019-8854 CVE-2019-7614 中危
FasterXML jackson-databind反序列化漏洞(net.sf.ehcache gadget绕过) 反序列化 MPS-2020-0063 CVE-2019-20330 严重
FasterXML jackson-databind反序列化漏洞(Anteros-DBCP gadget绕过) 反序列化 MPS-2020-11987 CVE-2020-24616 高危
FasterXML jackson-databind 反序列化漏洞(pastdev gadget绕过) 反序列化 MPS-2020-13151 CVE-2020-24750 高危
Netty HTTP请求走私 MPS-2020-1320 CVE-2020-7238 高危
Junit 信息泄露漏洞 不安全的临时文件 MPS-2020-15183 CVE-2020-15250 中危
Netty HTTP请求走私 MPS-2020-1526 CVE-2019-20444 严重
Netty HTTP请求走私 MPS-2020-1527 CVE-2019-20445 严重
Elasticsearch 存在权限管理不恰当漏洞 权限管理不当 MPS-2020-15777 CVE-2020-7020 低危
Apache HttpClient URI解析错误漏洞 XSS MPS-2020-17341 CVE-2020-13956 中危
FasterXML jackson-databind 代码问题漏洞 XXE MPS-2020-17358 CVE-2020-25649 高危
Google Guava 访问控制错误漏洞 关键资源权限分配不当 MPS-2020-17429 CVE-2020-8908 低危
FasterXML jackson-databind 反序列化漏洞(commons-dbcp2 gadget绕过) 反序列化 MPS-2020-17696 CVE-2020-35490 高危
FasterXML jackson-databind 反序列化漏洞(commons-dbcp2 gadget绕过) 反序列化 MPS-2020-17697 CVE-2020-35491 高危
FasterXML jackson-databind 反序列化漏洞(glassfish gadget绕过) 反序列化 MPS-2020-18089 CVE-2020-35728 高危
FasterXML jackson-databind 反序列化漏洞(xbean-reflect gadget绕过) 反序列化 MPS-2020-2030 CVE-2020-8840 严重
FasterXML jackson-databind 反序列化漏洞(ignite-jta gadget绕过) 反序列化 MPS-2020-24779 CVE-2020-10650 高危
FasterXML jackson-databind 代码问题漏洞 反序列化 MPS-2020-3040 CVE-2020-9546 严重
FasterXML jackson-databind 反序列化漏洞(JtaTransactionConfig gadget绕过) 反序列化 MPS-2020-3041 CVE-2020-9547 严重
FasterXML jackson-databind反序列化漏洞(anteros-core gadget绕过) 反序列化 MPS-2020-3042 CVE-2020-9548 严重
FasterXML jackson-databind 反序列化漏洞(commons-configuration gadget绕过) 反序列化 MPS-2020-3075 CVE-2019-14892 严重
FasterXML Jackson-databind反序列化漏洞(xalan2 gadget绕过) 反序列化 MPS-2020-3094 CVE-2019-14893 严重
mysql:mysql-connector-java XXE MPS-2020-38350 CVE-2021-2471 中危
FasterXML jackson-databind反序列化漏洞(aries.transaction.jms gadget绕过) 反序列化 MPS-2020-4131 CVE-2020-10672 高危
FasterXML jackson-databind反序列化漏洞(caucho-quercus gadget绕过) 反序列化 MPS-2020-4132 CVE-2020-10673 高危
FasterXML jackson-databind反序列化漏洞(bus-proxy gadget绕过) 反序列化 MPS-2020-4658 CVE-2020-10968 高危
FasterXML jackson-databind反序列化漏洞(javax.swing gadget绕过) 反序列化 MPS-2020-4659 CVE-2020-10969 高危
FasterXML jackson-databind反序列化漏洞(activemq gadget绕过) 反序列化 MPS-2020-4754 CVE-2020-11111 高危
FasterXML jackson-databind反序列化漏洞(commons-proxy gadget绕过) 反序列化 MPS-2020-4755 CVE-2020-11112 高危
FasterXML jackson-databind反序列化漏洞(openjpa gadget绕过) 反序列化 MPS-2020-4756 CVE-2020-11113 高危
Elasticsearch API 密钥权限提升漏洞 权限管理不当 MPS-2020-4780 CVE-2020-7009 高危
Netty ZlibDecoders 存在拒绝服务漏洞 不加限制或调节的资源分配 MPS-2020-5127 CVE-2020-11612 高危
FasterXML jackson-databind 反序列化漏洞(spring-aop gadget绕过) 反序列化 MPS-2020-5138 CVE-2020-11619 高危
FasterXML jackson-databind 反序列化漏洞(commons-jelly gadget绕过) 反序列化 MPS-2020-5139 CVE-2020-11620 高危
Oracle MySQL 安全漏洞 MPS-2020-5627 CVE-2020-2875 中危
Oracle MySQL 安全漏洞 MPS-2020-5681 CVE-2020-2933 低危
Oracle MySQL 安全漏洞 MPS-2020-5682 CVE-2020-2934 中危
Apache Log4j2 SmtpAppender证书验证不当漏洞 证书验证不恰当 MPS-2020-6684 CVE-2020-9488 低危
dom4j SaxReader函数存在 XXE 漏洞 XXE MPS-2020-6967 CVE-2020-10683 严重
Apache Ant 临时文件不安全问题 将资源暴露给错误范围 MPS-2020-7418 CVE-2020-1945 中危
Apache Flink 存在命令注入漏洞 注入 MPS-2020-7444 CVE-2020-1960 中危
Elasticsearch 权限管理不当漏洞 权限管理不当 MPS-2020-8144 CVE-2020-7014 高危
FasterXML jackson-databind反序列化漏洞(oracle-aqjms gadget绕过) 反序列化 MPS-2020-8801 CVE-2020-14061 高危
FasterXML jackson-databind反序列化漏洞(xalan2 gadget绕过) 反序列化 MPS-2020-8802 CVE-2020-14062 高危
FasterXML jackson-databind反序列化漏洞(apache drill gadget绕过) 反序列化 MPS-2020-8803 CVE-2020-14060 高危
FasterXML jackson-databind代码问题漏洞(jsecurity gadget绕过) 反序列化 MPS-2020-8911 CVE-2020-14195 高危
FasterXML jackson-databind 反序列化漏洞(DBCP gadget绕过) 反序列化 MPS-2021-0202 CVE-2020-36179 高危
FasterXML jackson-databind 反序列化漏洞(DBCP gadget绕过) 反序列化 MPS-2021-0203 CVE-2020-36181 高危
FasterXML jackson-databind 反序列化漏洞(DBCP gadget绕过) 反序列化 MPS-2021-0204 CVE-2020-36180 高危
FasterXML jackson-databind 反序列化漏洞(tomcat-dbcp gadget绕过) 反序列化 MPS-2021-0205 CVE-2020-36182 高危
FasterXML jackson-databind 反序列化漏洞(docx4j gadget绕过) 反序列化 MPS-2021-0206 CVE-2020-36183 高危
FasterXML jackson-databind 反序列化漏洞(tomcat-dbcp gadget绕过) 反序列化 MPS-2021-0207 CVE-2020-36184 高危
FasterXML jackson-databind 反序列化漏洞(tomcat-dbcp gadget绕过) 反序列化 MPS-2021-0208 CVE-2020-36185 高危
FasterXML jackson-databind 反序列化漏洞(naming-factory-dbcp gadget绕过) 反序列化 MPS-2021-0209 CVE-2020-36186 高危
FasterXML jackson-databind 反序列化漏洞(naming-factory-dbcp gadget绕过) 反序列化 MPS-2021-0210 CVE-2020-36187 高危
FasterXML jackson-databind 反序列化漏洞(newrelic-agent gadget绕过) 反序列化 MPS-2021-0211 CVE-2020-36188 高危
FasterXML jackson-databind 反序列化漏洞(newrelic-agent gadget绕过) 反序列化 MPS-2021-0212 CVE-2020-36189 高危
Apache Commons Compress 安存在拒绝服务漏洞 不加限制或调节的资源分配 MPS-2021-10550 CVE-2021-35517 高危
Apache Commons Compress 存在拒绝服务漏洞 不加限制或调节的资源分配 MPS-2021-10564 CVE-2021-36090 高危
Elasticsearch 资源管理错误漏洞 未经控制的递归 MPS-2021-11043 CVE-2021-22144 中危
Elasticsearch 日志信息泄露漏洞 日志敏感信息泄露 MPS-2021-1485 CVE-2020-7021 中危
Netty 在具有不安全权限的目录中创建临时文件 MPS-2021-1580 CVE-2021-21290 中危
Apache Thrift 资源管理错误漏洞 拒绝服务 MPS-2021-1609 CVE-2020-13949 高危
FasterXML jackson-databind 反序列化漏洞(javax.swing gadget绕过) 反序列化 MPS-2021-1625 CVE-2021-20190 高危
Google protobuf DOS漏洞 不正确的行为次序 MPS-2021-19066 CVE-2021-22569 中危
FasterXML jackson-dataformat-cbor 内存耗尽漏洞 不加限制或调节的资源分配 MPS-2021-1998 CVE-2020-28491 高危
MongoDB Java 驱动程序客户端证书验证不当漏洞 证书验证不恰当 MPS-2021-2219 CVE-2021-20328 中危
io.netty:netty-codec-http2 HTTP请求走私 MPS-2021-2435 CVE-2021-21295 中危
Apache Hive 未授权访问 UDF 漏洞 关键功能的认证机制缺失 MPS-2021-25837 CVE-2021-34538 高危
Netty Bzip2Decoder 存在资源穷尽漏洞 拒绝服务 MPS-2021-28116 CVE-2021-37136 高危
Netty 存在资源穷尽漏洞 拒绝服务 MPS-2021-28117 CVE-2021-37137 高危
Apache Commons Net 未授权敏感信息泄露 MPS-2021-28440 CVE-2021-37533 中危
Apache Velocity 存在任意代码执行 代码注入 MPS-2021-3061 CVE-2020-13936 高危
Apache Hive 存在计时攻击漏洞 通过差异性导致的信息暴露 MPS-2021-3109 CVE-2020-1926 中危
Oracle MySQL 的 MySQL Connectors 存在授权不当漏洞 授权机制不恰当 MPS-2021-36587 CVE-2022-21363 中危
Netty HTTP请求走私 MPS-2021-36922 CVE-2021-43797 中危
Apache Log4j2 JDBC Appender远程代码执行漏洞 代码注入 MPS-2021-38327 CVE-2021-44832 中危
Apache Log4j JMSAppender反序列化漏洞 反序列化 MPS-2021-38359 CVE-2021-4104 高危
Eclipse Jetty 资源管理错误漏洞 对异常条件的处理不恰当 MPS-2021-3864 CVE-2021-28165 高危
Apache Commons IO 存在路径遍历漏洞 路径遍历 MPS-2021-4531 CVE-2021-29425 中危
Elasticsearch 信息泄露漏洞 未授权敏感信息泄露 MPS-2021-6747 CVE-2021-22137 中危
Elasticsearch 信息泄露漏洞 未授权敏感信息泄露 MPS-2021-6749 CVE-2021-22135 中危
Eclipse Jetty 存在信息泄露漏洞 不充分的会话过期机制 MPS-2021-8884 CVE-2021-34428 低危
Apache Ant 拒绝服务漏洞 长度参数不一致性处理不恰当 MPS-2021-9827 CVE-2021-36373 中危
Apache Ant 拒绝服务漏洞 长度参数不一致性处理不恰当 MPS-2021-9847 CVE-2021-36374 中危
org.apache.hive:hive-common 存在信息泄露漏洞 未授权敏感信息泄露 MPS-2022-11849 中危
commons-codec:commons-codec 存在信息泄露漏洞 未授权敏感信息泄露 MPS-2022-11853 低危
org.apache.commons:commons-dbcp2 存在信息暴露漏洞 未授权敏感信息泄露 MPS-2022-12024 低危
io.netty:netty-codec-http 拒绝服务 MPS-2022-12064 中危
io.netty:netty-handler 存在证书验证不恰当漏洞 证书验证不恰当 MPS-2022-12067 中危
Apache Thrift 拒绝服务 MPS-2022-12148 中危
com.google.code.gson:gson 存在BigDecimal拒绝服务漏洞 反序列化 MPS-2022-12287 CVE-2022-25647 高危
Apache Hadoop CSRF MPS-2022-12308 中危
org.apache.hive:hive-service 存在跨站脚本漏洞 XSS MPS-2022-12394 中危
com.fasterxml.jackson.core:jackson-databind 存在反序列化漏洞 反序列化 MPS-2022-12433 高危
org.json:json 存在拒绝服务漏洞 拒绝服务 MPS-2022-13520 高危
Apache Log4j JDBCAppender SQL注入漏洞 SQL注入 MPS-2022-1444 CVE-2022-23305 严重
Apache Log4j Chainsaw反序列化漏洞 反序列化 MPS-2022-1445 CVE-2022-23307 高危
Apache Log4j 反序列化漏洞 反序列化 MPS-2022-1446 CVE-2022-23302 高危
Eclipse Jetty URI注入漏洞 注入 MPS-2022-18060 CVE-2022-2047 低危
Elastic Stack Kibana 存在缺少授权漏洞 授权检查缺失 MPS-2022-2136 CVE-2022-23709 中危
Elastic Stack Kibana 存在 XSS 漏洞 XSS MPS-2022-2137 CVE-2022-23710 中危
Netty 存在信息泄露漏洞 将资源暴露给错误范围 MPS-2022-3790 CVE-2022-24823 中危
Apache Hadoop 存在shell命令注入漏洞 参数注入或修改 MPS-2022-4190 CVE-2022-25168 严重
snakeYAML 拒绝服务 MPS-2022-5144 CVE-2022-25857 高危
Apache Calcite Avatica 代码注入漏洞 代码注入 MPS-2022-51965 CVE-2022-36364 高危
Apache Ivy 路径遍历 MPS-2022-53784 CVE-2022-37865 中危
Apache Ivy 路径遍历 MPS-2022-53785 CVE-2022-37866 中危
snakeYAML 栈缓冲区溢出 MPS-2022-56040 CVE-2022-38751 中危
snakeYAML 栈缓冲区溢出 MPS-2022-56041 CVE-2022-38752 低危
snakeYAML 栈缓冲区溢出 MPS-2022-56051 CVE-2022-38750 中危
snakeYAML 拒绝服务 MPS-2022-56081 CVE-2022-38749 中危
Jettison 拒绝服务 MPS-2022-57067 CVE-2022-40150 高危
Jettison 越界写入 MPS-2022-57068 CVE-2022-40149 高危
SnakeYAML 栈缓冲区溢出 MPS-2022-58478 CVE-2022-41854 中危
Netty 解释冲突 MPS-2022-58552 CVE-2022-41915 中危
pgjdbc 不安全的临时文件 MPS-2022-58583 CVE-2022-41946 中危
FasterXML jackson-databind 小于2.14.0-rc1拒绝服务漏洞 拒绝服务 MPS-2022-58653 CVE-2022-42003 中危
FasterXML jackson-databind 小于2.13.4拒绝服务漏洞 拒绝服务 MPS-2022-58654 CVE-2022-42004 中危
Apache Hadoop 存在路径遍历漏洞 路径遍历 MPS-2022-5920 CVE-2022-26612 严重
IBM WebSphere Application Server Liberty 存在拒绝服务漏洞 对因果或异常条件的不恰当检查 MPS-2022-59813 CVE-2022-3509 中危
FasterXML jackson-databind 拒绝服务漏洞 越界写入 MPS-2022-6242 CVE-2020-36518 高危
Jettison 越界写入 MPS-2022-64973 CVE-2022-45685 高危
Hutool 存在拒绝服务漏洞 越界写入 MPS-2022-64976 CVE-2022-45688 中危
Apache Derby LDAP 注入漏洞 LDAP注入 MPS-2022-65764 CVE-2022-46337 中危
Apache Ivy 输入验证不恰当 MPS-2022-67125 CVE-2022-46751 中危
snakeYAML 反序列化 MPS-2022-9425 CVE-2022-1471 高危
Eclipse Jetty 资源管理错误漏洞 拒绝服务 MPS-2023-4997 CVE-2023-26048 中危
Eclipse Jetty 信息泄露漏洞 XSS MPS-2023-4998 CVE-2023-26049 中危
java-xmlbuilder 代码问题漏洞 XXE MPS-2023-5040 CVE-2014-125087 严重
Jettison 安全漏洞 未经控制的递归 MPS-2023-8270 CVE-2023-1436 高危
Eclipse Jetty 安全漏洞 MPS-49ot-3w07 CVE-2023-40167 中危
Jayway JsonPath 安全漏洞 MPS-5f8t-odky CVE-2023-51074 中危
Elasticsearch 资源管理错误漏洞 拒绝服务 MPS-5mea-szlg CVE-2023-31418 高危
JSON-Java 中存在拒绝服务漏洞 不加限制或调节的资源分配 MPS-894c-qbpk 高危
snappy-java 输入验证错误漏洞 整数溢出或环绕 MPS-8znw-4jmi CVE-2023-34453 高危
Netty 资源管理错误漏洞 不加限制或调节的资源分配 MPS-9u07-bna1 CVE-2023-34462 中危
snappy-java 的 compress 方法整数溢出漏洞导致拒绝服务 整数溢出或环绕 MPS-angp-mxl2 CVE-2023-34454 中危
ZooKeeper SASL 身份验证绕过漏洞 通过用户控制密钥绕过授权机制 MPS-bznr-672x CVE-2023-44981 高危
Elasticsearch 缓冲区错误漏洞 越界写入 MPS-egv5-ijbt CVE-2023-31419 高危
Apache Commons Compress 安全漏洞 不可达退出条件的循环(无限循环) MPS-jc5d-2eyo CVE-2024-25710 中危
JSON-Java 安全漏洞 不加限制或调节的资源分配 MPS-m4ex-dja2 CVE-2023-5072 高危
Guava 创建拥有不安全权限的临时文件 MPS-mfku-xzh3 CVE-2023-2976 中危
Apache HttpComponents Incomplete Fix SSL证书验证安全绕过漏洞(CNVD-2014-05104) MPS-p3rv-t2il CVE-2012-6153 中危
Snappy 安全漏洞 不加限制或调节的资源分配 MPS-s7wb-p03z CVE-2023-43642 高危
Snappy 输入验证错误漏洞 不加限制或调节的资源分配 MPS-tnp7-60hk CVE-2023-34455 高危
【存在争议】FasterXML jackson-databind 代码问题漏洞 不加限制或调节的资源分配 MPS-z1bx-p8y2 CVE-2023-35116 中危
SQLite JDBC 远程代码执行漏洞 代码注入 MPS-zprx-hdwf CVE-2023-32697 高危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
log4j:log4j 1.2.16 间接依赖 建议修复
commons-beanutils:commons-beanutils 1.7.0 1.9.4 间接依赖 建议修复
commons-httpclient:commons-httpclient 3.0.1 间接依赖 建议修复
org.apache.hive:hive-service 1.2.1 release-2.3.8-rc2 间接依赖 建议修复
dom4j:dom4j 1.6.1 直接依赖 建议修复
com.google.protobuf:protobuf-java 2.5.0 3.16.3 间接依赖 建议修复
org.apache.hive:hive-exec 1.2.1 3.1.3 直接依赖 建议修复
io.netty:netty-codec 4.1.32.Final 4.1.68.Final 间接依赖 建议修复
io.netty:netty-codec-http 4.1.32.Final 4.1.86.final 间接依赖 建议修复
org.codehaus.groovy:groovy-all 2.1.6 2.4.4 间接依赖 建议修复
com.google.guava:guava 19.0 32.0.0-jre 直接依赖 建议修复
org.yaml:snakeyaml 1.26 2.0 直接依赖 建议修复
io.netty:netty-handler 4.1.32.Final 4.1.94.final 间接依赖 建议修复
io.netty:netty 3.7.0.Final 间接依赖 建议修复
log4j:log4j 1.2.17 直接依赖 建议修复
com.jamesmurty.utils:java-xmlbuilder 0.4 1.2 间接依赖 建议修复
org.apache.hive:hive-jdbc 1.2.1 2.3.3 直接依赖 建议修复
org.eclipse.jetty:jetty-http 9.2.19.v20160908 11.0.16 直接依赖 建议修复
org.eclipse.jetty:jetty-util 9.2.19.v20160908 9.2.28.v20190418 间接依赖 建议修复
io.netty:netty 3.7.0.Final 间接依赖 建议修复
io.netty:netty-codec-http 4.1.32.Final 4.1.86.final 间接依赖 建议修复
org.apache.hadoop:hadoop-common 2.7.5 3.2.4 直接依赖 建议修复
com.google.guava:guava 19.0 32.0.0-jre 直接依赖 建议修复
org.eclipse.jetty:jetty-server 9.2.19.v20160908 9.4.51 间接依赖 建议修复
log4j:log4j 1.2.17 直接依赖 建议修复
org.xerial:sqlite-jdbc 3.20.0 3.41.2.2 直接依赖 建议修复
org.apache.velocity:velocity 1.5 间接依赖 建议修复
org.eclipse.jetty:jetty-server 9.2.19.v20160908 9.4.51 间接依赖 建议修复
commons-httpclient:commons-httpclient 3.1 间接依赖 建议修复
org.apache.calcite.avatica:avatica-core 1.17.0 1.22.0 直接依赖 建议修复
org.apache.thrift:libthrift 0.9.2 0.14.0 间接依赖 建议修复
org.eclipse.jetty:jetty-io 9.2.19.v20160908 9.4.39.v20210325 间接依赖 建议修复
org.apache.velocity:velocity 1.5 间接依赖 建议修复
org.apache.thrift:libthrift 0.9.2 0.14.0 间接依赖 建议修复
org.apache.hive:hive-jdbc 1.2.1 2.3.3 直接依赖 建议修复
org.apache.logging.log4j:log4j-core 2.17.0 2.17.1 直接依赖 建议修复
org.codehaus.jettison:jettison 1.1 1.5.4 间接依赖 建议修复
org.apache.hadoop:hadoop-common 2.7.5 3.2.4 直接依赖 建议修复
org.eclipse.jetty:jetty-io 9.2.19.v20160908 9.4.39.v20210325 间接依赖 建议修复
org.codehaus.jackson:jackson-mapper-asl 1.9.13 间接依赖 建议修复
org.eclipse.jetty:jetty-util 9.2.19.v20160908 9.2.28.v20190418 间接依赖 建议修复
commons-httpclient:commons-httpclient 3.1 间接依赖 建议修复
org.xerial.snappy:snappy-java 1.0.4.1 1.1.10.4 间接依赖 建议修复
org.json:json 20090211 20231013 间接依赖 建议修复
org.elasticsearch:elasticsearch 7.0.1 7.17.13 直接依赖 建议修复
org.codehaus.groovy:groovy-all 2.1.6 2.4.4 间接依赖 建议修复
org.apache.calcite.avatica:avatica-core 1.17.0 1.22.0 直接依赖 建议修复
com.fasterxml.jackson.core:jackson-databind 2.6.5 2.16.0 直接依赖 建议修复
com.jamesmurty.utils:java-xmlbuilder 0.4 1.2 间接依赖 建议修复
com.google.protobuf:protobuf-java 3.6.1 3.16.3 间接依赖 建议修复
org.apache.zookeeper:zookeeper 3.4.6 3.7.2 间接依赖 建议修复
org.codehaus.jackson:jackson-mapper-asl 1.9.13 间接依赖 建议修复
org.xerial.snappy:snappy-java 1.0.4.1 1.1.10.4 间接依赖 建议修复
com.google.protobuf:protobuf-java 3.6.1 3.16.3 间接依赖 建议修复
org.elasticsearch:elasticsearch 7.0.1 7.17.13 直接依赖 建议修复
mysql:mysql-connector-java 5.1.20 8.0.28 直接依赖 建议修复
org.xerial:sqlite-jdbc 3.20.0 3.41.2.2 直接依赖 建议修复
org.apache.logging.log4j:log4j-core 2.17.0 2.17.1 直接依赖 建议修复
org.apache.zookeeper:zookeeper 3.4.6 3.7.2 间接依赖 建议修复
org.yaml:snakeyaml 1.26 2.0 直接依赖 建议修复
io.netty:netty-codec 4.1.32.Final 4.1.68.Final 间接依赖 建议修复
org.codehaus.jettison:jettison 1.1 1.5.4 间接依赖 建议修复
org.eclipse.jetty:jetty-http 9.2.19.v20160908 11.0.16 直接依赖 建议修复
com.fasterxml.jackson.core:jackson-databind 2.6.5 2.16.0 直接依赖 建议修复
io.netty:netty-handler 4.1.32.Final 4.1.94.final 间接依赖 建议修复
mysql:mysql-connector-java 5.1.20 8.0.28 直接依赖 建议修复
org.json:json 20090211 20231013 间接依赖 建议修复
org.mortbay.jetty:jetty 6.1.26 间接依赖 建议修复
org.apache.commons:commons-compress 1.4.1 1.21 间接依赖 可选修复
commons-codec:commons-codec 1.10 1.13 间接依赖 可选修复
org.apache.hadoop:hadoop-yarn-common 2.6.0 2.7.3 间接依赖 可选修复
org.apache.ant:ant 1.9.1 1.9.16 间接依赖 可选修复
org.apache.ivy:ivy 2.4.0 2.5.2 间接依赖 可选修复
org.postgresql:postgresql 42.3.7 42.3.8 直接依赖 可选修复
org.apache.derby:derby 10.10.2.0 10.14.2.0 直接依赖 可选修复
commons-net:commons-net 3.1 3.9.0 间接依赖 可选修复
commons-io:commons-io 2.4 2.7 直接依赖 可选修复
commons-codec:commons-codec 1.4 1.13 间接依赖 可选修复
commons-io:commons-io 2.4 2.7 直接依赖 可选修复
org.mongodb:mongo-java-driver 3.12.0 3.12.8 直接依赖 可选修复
commons-codec:commons-codec 1.11 1.13 间接依赖 可选修复
org.apache.hive:hive-common 1.2.1 2.2.0 间接依赖 可选修复
commons-net:commons-net 3.1 3.9.0 间接依赖 可选修复
io.netty:netty-common 4.1.32.Final 4.1.77.Final 间接依赖 可选修复
com.fasterxml.jackson.dataformat:jackson-dataformat-cbor 2.8.11 2.11.4 间接依赖 可选修复
org.apache.httpcomponents:httpclient 4.5.6 4.5.13 间接依赖 可选修复
com.google.code.gson:gson 2.8.5 2.8.9 直接依赖 可选修复
junit:junit 4.12 4.13.1 间接依赖 可选修复
org.apache.ivy:ivy 2.4.0 2.5.2 间接依赖 可选修复
com.fasterxml.jackson.dataformat:jackson-dataformat-cbor 2.8.11 2.11.4 间接依赖 可选修复
junit:junit 4.12 4.13.1 间接依赖 可选修复
org.apache.httpcomponents:httpclient 4.5.6 4.5.13 间接依赖 可选修复
org.apache.commons:commons-dbcp2 2.6.0 2.9.0 直接依赖 可选修复
io.netty:netty-common 4.1.32.Final 4.1.77.Final 间接依赖 可选修复
org.apache.hive:hive-common 1.2.1 2.2.0 间接依赖 可选修复
org.apache.flink:flink-core 1.9.1 1.9.3 直接依赖 可选修复
commons-codec:commons-codec 1.4 1.13 间接依赖 可选修复
org.apache.commons:commons-dbcp2 2.6.0 2.9.0 直接依赖 可选修复
commons-codec:commons-codec 1.11 1.13 间接依赖 可选修复
org.apache.derby:derby 10.10.2.0 10.14.2.0 直接依赖 可选修复
org.postgresql:postgresql 42.3.7 42.3.8 直接依赖 可选修复
org.apache.flink:flink-core 1.9.1 1.9.3 直接依赖 可选修复
com.google.code.gson:gson 2.8.5 2.8.9 直接依赖 可选修复
org.mongodb:mongo-java-driver 3.12.0 3.12.8 直接依赖 可选修复
com.jayway.jsonpath:json-path 2.4.0 2.9.0 直接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
Apache-2.0 185
EPL-1.0 7
CC0-1.0 1
BSD-2-Clause 10
BSD-3-Clause 11
LGPL-2.1 2
Public-Domain 2
CDDL-1.1 10
GPL-2.0 3
GPL-2.0-with-classpath-exception 3
Dom4J 1
MIT 6
JSON 1
LGPL-3.0 1
JTA 1
Apache-1.1 1
ANTLR-PD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
org.apache.htrace:htrace-core 3.1.0-incubating 间接依赖 maven
org.apache.lucene:lucene-spatial 8.0.0 间接依赖 maven
org.eclipse.jetty:jetty-server 9.2.19.v20160908 间接依赖 maven
org.apache.hive:hive-shims 1.2.1 间接依赖 maven
org.elasticsearch:elasticsearch-core 7.0.1 间接依赖 maven
io.netty:netty-buffer 4.1.32.Final 间接依赖 maven
org.apache.hadoop:hadoop-annotations 2.7.5 间接依赖 maven
net.hydromatic:aggdesigner-algorithm 6.0 直接依赖 maven
org.hdrhistogram:HdrHistogram 2.1.9 间接依赖 maven
org.hamcrest:hamcrest-core 1.3 间接依赖 maven
net.sf.opencsv:opencsv 2.3 直接依赖 maven
org.eclipse.jetty:jetty-util 9.2.19.v20160908 间接依赖 maven
org.apache.ivy:ivy 2.4.0 间接依赖 maven
org.codehaus.jackson:jackson-xc 1.8.3 间接依赖 maven
org.apache.flink:flink-shaded-asm-6 6.2.1-7.0 间接依赖 maven
org.apache.directory.server:apacheds-i18n 2.0.0-M15 间接依赖 maven
com.yahoo.datasketches:memory 0.9.0 间接依赖 maven
com.jolbox:bonecp 0.8.0.RELEASE 间接依赖 maven
commons-io:commons-io 2.4 直接依赖 maven
org.objenesis:objenesis 2.1 间接依赖 maven
org.apache.calcite.avatica:avatica-core 1.17.0 直接依赖 maven
commons-logging:commons-logging 1.1.3 间接依赖 maven
asm:asm 3.1 间接依赖 maven
org.apache.ibatis:ibatis-core 3.0 直接依赖 maven
org.tukaani:xz 1.0 间接依赖 maven
org.mortbay.jetty:jetty 6.1.26 间接依赖 maven
org.xerial:sqlite-jdbc 3.20.0 直接依赖 maven
org.apache.hive:hive-serde 1.2.1 间接依赖 maven
commons-dbutils:commons-dbutils 1.7 直接依赖 maven
net.sf.jpam:jpam 1.1 间接依赖 maven
org.apache.hadoop:hadoop-yarn-server-resourcemanager 2.6.0 间接依赖 maven
org.apache.httpcomponents:httpcore 4.4.10 直接依赖 maven
com.jcraft:jsch 0.1.54 间接依赖 maven
org.elasticsearch:jna 4.5.1 间接依赖 maven
org.apache.hadoop:hadoop-common 2.7.5 直接依赖 maven
commons-configuration:commons-configuration 1.6 间接依赖 maven
com.github.spullara.mustache.java:compiler 0.9.3 间接依赖 maven
commons-lang:commons-lang 2.6 间接依赖 maven
org.apache.flink:flink-hadoop-compatibility_2.11 1.9.1 直接依赖 maven
org.elasticsearch:elasticsearch-geo 7.0.1 间接依赖 maven
com.google.protobuf:protobuf-java 3.6.1 间接依赖 maven
org.apache.thrift:libfb303 0.9.2 间接依赖 maven
org.apache.hadoop:hadoop-yarn-api 2.6.0 间接依赖 maven
xml-apis:xml-apis 1.0.b2 间接依赖 maven
javax.servlet.jsp:jsp-api 2.1 间接依赖 maven
org.mortbay.jetty:jetty-sslengine 6.1.26 间接依赖 maven
joda-time:joda-time 2.8.1 间接依赖 maven
org.eclipse.jetty:jetty-security 9.4.15.v20190215 间接依赖 maven
org.apache.commons:commons-dbcp2 2.6.0 直接依赖 maven
org.codehaus.groovy:groovy-all 2.1.6 间接依赖 maven
org.apache.lucene:lucene-suggest 8.0.0 间接依赖 maven
io.netty:netty 3.7.0.Final 间接依赖 maven
org.apache.hadoop:hadoop-yarn-server-applicationhistoryservice 2.6.0 间接依赖 maven
com.esotericsoftware.kryo:kryo 2.24.0 间接依赖 maven
log4j:log4j 1.2.17 直接依赖 maven
org.apache.lucene:lucene-queries 8.0.0 间接依赖 maven
com.qihoo.qsql:qsql-client 0.7.1 直接依赖 maven
org.fusesource.leveldbjni:leveldbjni-all 1.8 间接依赖 maven
org.apache.hive:hive-jdbc 1.2.1 直接依赖 maven
org.apache.calcite.avatica:avatica-server 1.17.0 直接依赖 maven
org.elasticsearch:elasticsearch-cli 7.0.1 间接依赖 maven
com.google.inject.extensions:guice-servlet 3.0 间接依赖 maven
commons-cli:commons-cli 1.3.1 直接依赖 maven
javax.validation:validation-api 1.1.0.Final 直接依赖 maven
org.codelibs.elasticsearch.module:lang-painless 7.0.1 直接依赖 maven
org.apache.avro:avro 1.7.4 间接依赖 maven
org.apache.lucene:lucene-spatial3d 8.0.0 间接依赖 maven
org.apache.logging.log4j:log4j-core 2.17.0 直接依赖 maven
org.datanucleus:datanucleus-rdbms 3.2.9 间接依赖 maven
com.qihoo.qsql:qsql-example 0.7.1 直接依赖 maven
org.eclipse.jetty:jetty-io 9.2.19.v20160908 间接依赖 maven
io.netty:netty-codec 4.1.32.Final 间接依赖 maven
org.apache.ant:ant 1.9.1 间接依赖 maven
com.fasterxml.jackson.dataformat:jackson-dataformat-smile 2.8.11 间接依赖 maven
org.apache.kylin:kylin-jdbc 1.6.0 直接依赖 maven
com.twitter:parquet-hadoop-bundle 1.6.0 间接依赖 maven
org.apache.ant:ant-launcher 1.9.1 间接依赖 maven
com.sun.xml.bind:jaxb-impl 2.2.3-1 间接依赖 maven
org.apache.lucene:lucene-misc 8.0.0 间接依赖 maven
commons-cli:commons-cli 1.2 间接依赖 maven
org.apache.calcite.avatica:avatica 1.17.0 间接依赖 maven
dom4j:dom4j 1.6.1 直接依赖 maven
com.sun.jersey:jersey-core 1.9 间接依赖 maven
commons-dbcp:commons-dbcp 1.4 间接依赖 maven
org.antlr:ST4 4.0.4 间接依赖 maven
org.elasticsearch.client:elasticsearch-rest-client 7.0.1 直接依赖 maven
org.slf4j:slf4j-log4j12 1.7.13 直接依赖 maven
org.codelibs.elasticsearch.module:scripting-painless-spi 7.0.1 间接依赖 maven
org.apache.zookeeper:zookeeper 3.4.6 间接依赖 maven
javax.servlet:servlet-api 2.5 间接依赖 maven
commons-codec:commons-codec 1.11 间接依赖 maven
org.apache.lucene:lucene-analyzers-common 8.0.0 间接依赖 maven
org.apache.httpcomponents:httpcore-nio 4.4.11 间接依赖 maven
javax.servlet:javax.servlet-api 3.0.1 间接依赖 maven
stax:stax-api 1.0.1 间接依赖 maven
org.elasticsearch.plugin:rank-eval-client 7.0.1 间接依赖 maven
com.thoughtworks.paranamer:paranamer 2.3 间接依赖 maven
org.checkerframework:checker-qual 3.5.0 间接依赖 maven
org.apache.commons:commons-csv 1.5 直接依赖 maven
com.tdunning:t-digest 3.2 间接依赖 maven
KERNEL32.dll 间接依赖
org.mongodb:mongo-java-driver 3.12.0 直接依赖 maven
org.apache.httpcomponents:httpasyncclient 4.1.4 间接依赖 maven
org.apache.thrift:libthrift 0.9.2 间接依赖 maven
org.elasticsearch.plugin:aggs-matrix-stats-client 7.0.1 间接依赖 maven
msvcrt.dll 间接依赖
org.codehaus.jackson:jackson-core-asl 1.9.13 间接依赖 maven
org.apache.commons:commons-compress 1.4.1 间接依赖 maven
com.jayway.jsonpath:json-path 2.4.0 直接依赖 maven
org.apache.commons:commons-math3 3.1.1 间接依赖 maven
org.codehaus.jackson:jackson-jaxrs 1.8.3 间接依赖 maven
com.fasterxml.jackson.core:jackson-databind 2.6.5 直接依赖 maven
commons-codec:commons-codec 1.10 间接依赖 maven
libc.so.6 间接依赖
org.apache.derby:derby 10.10.2.0 直接依赖 maven
org.antlr:antlr-runtime 3.4 间接依赖 maven
org.apache.logging.log4j:log4j-api 2.17.0 间接依赖 maven
org.apache.velocity:velocity 1.5 间接依赖 maven
org.apache.hadoop:hadoop-yarn-common 2.6.0 间接依赖 maven
org.antlr:antlr4-runtime 4.5.3 间接依赖 maven
com.sun.jersey:jersey-json 1.9 间接依赖 maven
org.postgresql:postgresql 42.3.7 直接依赖 maven
com.fasterxml.jackson.core:jackson-annotations 2.6.5 直接依赖 maven
commons-collections:commons-collections 3.2.2 间接依赖 maven
org.json:json 20090211 间接依赖 maven
org.apache.hive:hive-metastore 1.2.1 直接依赖 maven
org.apache.lucene:lucene-spatial-extras 8.0.0 间接依赖 maven
com.esotericsoftware.minlog:minlog 1.2 间接依赖 maven
com.github.picadoh:imc 0.2 直接依赖 maven
ru.yandex.clickhouse:clickhouse-jdbc 0.2 直接依赖 maven
com.massisframework:j-text-utils 0.3.4 直接依赖 maven
org.slf4j:jcl-over-slf4j 1.7.21 间接依赖 maven
libm.so.6 间接依赖
org.elasticsearch:elasticsearch-spark-20_2.11 7.0.1 直接依赖 maven
org.apache.hive:hive-service 1.2.1 间接依赖 maven
com.sun.jersey:jersey-server 1.9 间接依赖 maven
org.apache.hive:hive-common 1.2.1 间接依赖 maven
org.elasticsearch.client:elasticsearch-rest-high-level-client 7.0.1 直接依赖 maven
org.apache.hive.shims:hive-shims-scheduler 1.2.1 间接依赖 maven
com.fasterxml.jackson.core:jackson-core 2.10.0 直接依赖 maven
com.qihoo.qsql:qsql-calcite-parser 0.7.1 直接依赖 maven
org.apache.lucene:lucene-memory 8.0.0 间接依赖 maven
commons-lang:commons-lang 2.4 间接依赖 maven
org.apache.lucene:lucene-join 8.0.0 间接依赖 maven
io.netty:netty-resolver 4.1.32.Final 间接依赖 maven
org.datanucleus:datanucleus-api-jdo 3.2.6 间接依赖 maven
org.codehaus.jettison:jettison 1.1 间接依赖 maven
io.netty:netty-codec-http 4.1.32.Final 间接依赖 maven
commons-codec:commons-codec 1.4 间接依赖 maven
org.elasticsearch.plugin:transport-netty4-client 7.0.1 直接依赖 maven
org.apache.lucene:lucene-grouping 8.0.0 间接依赖 maven
org.apache.lucene:lucene-highlighter 8.0.0 间接依赖 maven
javax.inject:javax.inject 1 间接依赖 maven
io.netty:netty-handler 4.1.32.Final 间接依赖 maven
com.esri.geometry:esri-geometry-api 2.2.0 直接依赖 maven
com.google.inject:guice 3.0 间接依赖 maven
io.netty:netty-transport 4.1.32.Final 间接依赖 maven
org.apache.hadoop:hadoop-yarn-server-web-proxy 2.6.0 间接依赖 maven
mysql:mysql-connector-java 5.1.20 直接依赖 maven
net.jpountz.lz4:lz4 1.3.0 直接依赖 maven
javax.transaction:jta 1.1 间接依赖 maven
jline:jline 2.14.5 直接依赖 maven
org.apache.commons:commons-exec 1.3 直接依赖 maven
org.eclipse.jetty:jetty-http 9.2.19.v20160908 直接依赖 maven
org.apache.commons:commons-lang3 3.8 直接依赖 maven
org.codehaus.janino:commons-compiler 3.0.11 直接依赖 maven
com.google.guava:guava 19.0 直接依赖 maven
org.apache.calcite.avatica:avatica-metrics 1.17.0 间接依赖 maven
log4j:log4j 1.2.16 间接依赖 maven
org.apache.lucene:lucene-backward-codecs 8.0.0 间接依赖 maven
org.mortbay.jetty:jetty-util 6.1.26 间接依赖 maven
org.antlr:stringtemplate 3.2.1 间接依赖 maven
com.sun.jersey:jersey-client 1.9 间接依赖 maven
org.apache.hive:hive-ant 1.2.1 间接依赖 maven
xmlenc:xmlenc 0.52 间接依赖 maven
org.apache.flink:flink-core 1.9.1 直接依赖 maven
org.apache.flink:force-shading 1.9.1 间接依赖 maven
com.oracle:ojdbc6 11.2.0.3 直接依赖 maven
org.scala-lang:scala-library 2.11.12 间接依赖 maven
commons-beanutils:commons-beanutils 1.7.0 间接依赖 maven
org.elasticsearch.plugin:parent-join-client 7.0.1 间接依赖 maven
com.yahoo.datasketches:sketches-core 0.9.0 直接依赖 maven
org.datanucleus:datanucleus-core 3.2.10 间接依赖 maven
javax.jdo:jdo-api 3.0.1 间接依赖 maven
org.codehaus.jackson:jackson-mapper-asl 1.9.13 间接依赖 maven
org.xerial.snappy:snappy-java 1.0.4.1 间接依赖 maven
aopalliance:aopalliance 1.0 间接依赖 maven
commons-pool:commons-pool 1.5.4 间接依赖 maven
oro:oro 2.0.8 间接依赖 maven
junit:junit 4.12 间接依赖 maven
commons-httpclient:commons-httpclient 3.0.1 间接依赖 maven
org.elasticsearch:elasticsearch-secure-sm 7.0.1 间接依赖 maven
org.apache.flink:flink-shaded-guava 18.0-7.0 间接依赖 maven
commons-httpclient:commons-httpclient 3.1 间接依赖 maven
net.java.dev.jets3t:jets3t 0.9.0 间接依赖 maven
org.slf4j:slf4j-api 1.7.13 直接依赖 maven
com.qihoo.qsql:qsql-server 0.7.1 直接依赖 maven
com.qihoo.qsql:qsql-core 0.7.1 直接依赖 maven
org.apache.httpcomponents:httpclient 4.5.6 间接依赖 maven
org.apache.hadoop:hadoop-yarn-server-common 2.6.0 间接依赖 maven
org.apache.curator:curator-client 2.7.1 间接依赖 maven
org.apache.lucene:lucene-queryparser 8.0.0 间接依赖 maven
commons-net:commons-net 3.1 间接依赖 maven
libdl.so.2 间接依赖
commons-beanutils:commons-beanutils-core 1.8.0 间接依赖 maven
org.ow2.asm:asm-debug-all 5.1 间接依赖 maven
commons-digester:commons-digester 1.8 间接依赖 maven
javax.xml.bind:jaxb-api 2.3.0 间接依赖 maven
com.google.protobuf:protobuf-java 2.5.0 间接依赖 maven
org.apache.httpcomponents:httpmime 4.5.2 间接依赖 maven
org.apache.flink:flink-metrics-core 1.9.1 间接依赖 maven
org.apache.hive.shims:hive-shims-common 1.2.1 间接依赖 maven
org.apache.hive.shims:hive-shims-0.20S 1.2.1 间接依赖 maven
com.carrotsearch:hppc 0.7.1 间接依赖 maven
commons-logging:commons-logging 1.2 间接依赖 maven
Pygments 2.4 间接依赖 pip
org.apache.lucene:lucene-sandbox 8.0.0 间接依赖 maven
USER32.dll 间接依赖
org.apache.directory.api:api-util 1.0.0-M20 间接依赖 maven
net.sf.jopt-simple:jopt-simple 5.0.2 间接依赖 maven
org.yaml:snakeyaml 1.26 直接依赖 maven
org.apache.lucene:lucene-core 8.0.0 间接依赖 maven
au.com.bytecode:opencsv 2.4 间接依赖 maven
org.apache.hive:hive-exec 1.2.1 直接依赖 maven
org.apache.curator:curator-framework 2.6.0 间接依赖 maven
org.apache.hadoop:hadoop-auth 2.7.5 间接依赖 maven
org.mongodb.spark:mongo-spark-connector_2.11 2.3.3 直接依赖 maven
com.jamesmurty.utils:java-xmlbuilder 0.4 间接依赖 maven
libz.so.1 间接依赖
log4j:apache-log4j-extras 1.2.17 间接依赖 maven
org.codehaus.janino:janino 3.0.11 直接依赖 maven
org.apache.hive.shims:hive-shims-0.23 1.2.1 间接依赖 maven
com.qihoo.qsql:qsql-meta 0.7.1 直接依赖 maven
io.netty:netty-common 4.1.32.Final 间接依赖 maven
com.fasterxml.jackson.dataformat:jackson-dataformat-yaml 2.6.5 直接依赖 maven
org.elasticsearch.plugin:lang-mustache-client 7.0.1 间接依赖 maven
org.apache.directory.api:api-asn1-api 1.0.0-M20 间接依赖 maven
org.elasticsearch:elasticsearch 7.0.1 直接依赖 maven
com.google.code.findbugs:jsr305 3.0.1 直接依赖 maven
org.elasticsearch:elasticsearch-x-content 7.0.1 间接依赖 maven
com.fasterxml.jackson.dataformat:jackson-dataformat-cbor 2.8.11 间接依赖 maven
com.sun.jersey.contribs:jersey-guice 1.9 间接依赖 maven
org.apache.curator:apache-curator 2.6.0 间接依赖 maven
com.google.code.gson:gson 2.8.5 直接依赖 maven
org.apache.curator:curator-recipes 2.7.1 间接依赖 maven
org.apache.directory.server:apacheds-kerberos-codec 2.0.0-M15 间接依赖 maven
org.apache.flink:flink-annotations 1.9.1 间接依赖 maven
antlr:antlr 2.7.7 间接依赖 maven
(0)
上一篇 2024年3月6日
下一篇 2024年3月6日

相关推荐

  • yunabe/lgo 软件分析报告

    基础信息 项目名称:yunabe/lgo 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720280396138065920/1720280396628799488 此报告由Murphysec提供 漏洞列表 暂无…

    软件分析 2023年11月3日
    0
  • kriszyp/node-promise 软件分析报告

    基础信息 项目名称:kriszyp/node-promise 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721347954425286656/1728645733157916672 此报告由Murphysec…

    软件分析 2023年11月26日
    0
  • afollestad/material-dialogs 软件分析报告

    基础信息 项目名称:afollestad/material-dialogs 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721816001435705344/1721816001532174336 此报告由Mu…

    软件分析 2023年11月7日
    0
  • AnalyticalGraphicsInc/cesium 软件分析报告

    基础信息 项目名称:AnalyticalGraphicsInc/cesium 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720559735527505920/1720559735577837568 此报告由M…

    软件分析 2023年11月4日
    0
  • H-M-H/Weylus 软件分析报告

    基础信息 项目名称:H-M-H/Weylus 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718409878212231168/1718409878258368512 此报告由Murphysec提供 漏洞列表 …

    软件分析 2023年10月29日
    0